-- | Block functions throw 'LzoError' on error.
--
-- Frame decompression may throw exceptions on encountering bad data.
module Codec.Compression.Lzo ( -- * Block compression
                               compress
                             , decompress
                             -- * File/frame compression
                             , compressFile
                             , decompressFile
                             -- * Errors
                             , LzoError
                             , lzoOk
                             , lzoError
                             , lzoOutOfMemory
                             , lzoNotCompressible
                             , lzoInputOverrun
                             , lzoOutputOverrun
                             , lzoLookbehindOverrun
                             , lzoEofNotFound
                             , lzoEInputNotConsumed
                             , lzoENotYetImplemented
                             , lzoEInvalidArgument
                             , lzoEInvalidAlignment
                             , lzoEOutputNotConsumed
                             , lzoEInternalError
                             -- * Version info
                             , lzoVersion
                             , lzoVersionString
                             , lzoVersionDate
                             ) where

import           Codec.Compression.Lzo.Block
import           Codec.Compression.Lzo.File
